#include "vArray.h"
#include <stdlib.h>

array* init()
{
	array* v = malloc(sizeof(array));
	v->data = malloc(sizeof(int) * 2);
	v->size = 0;
	v->capacity = 2;
	return v;
}

void append(array* v, int value)
{
	if (v->size == v->capacity)
	{
		v->capacity *= 2;
		int* newData = malloc(sizeof(int) * v->capacity);
		for (int i = 0; i < v->size; i++)
			newData[i] = v->data[i];
		free(v->data);
		v->data = newData;
	}
	v->data[v->size] = value;
	v->size++;
}

int* index(array* v, int i)
{
	if (v->size <= i)
		return NULL;
	return v->data + i;
}