#include <stdio.h>
#include <Windows.h>
#include <conio.h>

typedef enum color {
	BLACK, DARK_BLUE, DARK_GREEN, DARK_SKY_BLUE,
	DARK_RED, DARK_PURPLE, DARK_YELLOW, GRAY,
	DARK_GRAY, BLUE, GREEN, SKY_BlUE,
	RED, PURPLE, YELLOW, WHITE
} color;

void setColor(color background, color text);
void gotoxy(int x, int y);

int main()
{
	int x = 0, y = 0;
	setColor(WHITE, WHITE);

	while (1)
	{
		if (_kbhit())
		{
			int code = _getch();
			if (code == 0xE0)
			{
				int code2 = _getch();
				if (code2 == 72) // 위쪽 방향키
					y--;
				else if (code2 == 80) // 아래쪽 방향키
					y++;
				else if (code2 == 75) // 왼쪽 방향키
					x--;
				else if (code2 == 77) // 오른쪽 방향키
					x++;
			}
		}
		if (y < 0) y = 0; // 음수로 갈 수 없도록 막는다.
		if (x < 0) x = 0;

		gotoxy(x * 2, y); // 현재 위치로 커서를 이동한다.
		printf("  "); // 두 칸을 칠한다.
	}
}


void setColor(color background, color text)
{
	SetConsoleTextAttribute(GetStdHandle(STD_OUTPUT_HANDLE), background * 16 + text);
}

void gotoxy(int x, int y)
{
	COORD pos = { x, y };
	SetConsoleCursorPosition(GetStdHandle(STD_OUTPUT_HANDLE), pos);
}