#include <stdio.h>

void maxMinArr(const int arr[], int size, int result[2])
{
	result[0] = result[1] = arr[0]; // 배열의 첫 번째 값으로 초기화한다.
	for (int i = 1; i < size; i++)
	{
		if (arr[i] > result[0]) // 지금까지 최대값보다 더 크다면
			result[0] = arr[i]; // 최댓값을 갱신한다.
		if (arr[i] < result[1]) // 지금까지 최소값보다 더 작다면
			result[1] = arr[i]; // 최솟값을 갱신한다.
	}
}

int main()
{
	int arr[5] = { 5, 4, 1, 2, 3 };
	int result[2];

	maxMinArr(arr, 5, result);
	printf("max : %d\n", result[0]);
	printf("min : %d\n", result[1]);
}