#include <stdio.h>
#pragma warning(disable: 4996)

int main(void)
{
	unsigned int n;
	int divisor;
	scanf("%u", &n);

	for (unsigned int a = 2; a <= n - 2; a++)
	{
		// 조건을 만족하는 a와 b는 소수이므로 가능한 a의 범위는 2 이상 n-2 이하이다.
		unsigned int b = n - a; // n=a+b, b=n-a

		// a의 약수의 개수 계산
		divisor = 0;
		for (unsigned int i = 1; i <= a; i++)
			if (a % i == 0)
				divisor++;

		// a의 약수가 2개가 아니라면 a는 소수가 아니다.
		if (divisor != 2)
			continue;

		// b의 약수의 개수 계산
		divisor = 0;
		for (unsigned int i = 1; i <= b; i++)
			if (b % i == 0)
				divisor++;

		// b의 약수가 2개가 아니라면 b는 소수가 아니다.
		if (divisor != 2)
			continue;

		// continue를 만나지 않았다는 의미는 조건을 만족하는 a와 b를 구했다는 의미이다.
		printf("%u %u", a, b);
		break;
	}
}